# geos::operation::buffer::OffsetCurveSetBuilder Class Reference

Creates all the raw offset curves for a buffer of a Geometry. More...

`#include <geos/opBuffer.h>`

List of all members.

## Public Member Functions

| OffsetCurveSetBuilder (const geom::Geometry &newInputGeom, double newDistance, OffsetCurveBuilder &newCurveBuilder)
| Constructor.
| ~OffsetCurveSetBuilder ()
| Destructor.
std::vector < noding::SegmentString * > & | getCurves ()
| Computes the set of raw offset curves for the buffer.
void | addCurves (const std::vector< geom::CoordinateSequence * > &lineList, int leftLoc, int rightLoc)
| Add raw curves for a set of CoordinateSequences.

## Detailed Description

Creates all the raw offset curves for a buffer of a Geometry.

Raw curves need to be noded together and polygonized to form the final buffer area.

## Member Function Documentation

void geos::operation::buffer::OffsetCurveSetBuilder::addCurves | ( | const std::vector< geom::CoordinateSequence * > & | lineList,
|  | int | leftLoc,
|  | int | rightLoc
| ) |  |

Add raw curves for a set of CoordinateSequences.

Parameters:

  lineList | is a list of CoordinateSequence, ownership of which is transferred here.

std::vector<noding::SegmentString*>& geos::operation::buffer::OffsetCurveSetBuilder::getCurves | ( | ) |

Computes the set of raw offset curves for the buffer.

Each offset curve has an attached geomgraph::Label indicating its left and right location.

Returns:
  a Collection of SegmentStrings representing the raw buffer curves

The documentation for this class was generated from the following file:

- OffsetCurveSetBuilder.h